#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=Glass.ico
#AutoIt3Wrapper_UseUpx=n
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_Change2CUI=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
If $CmdLine[0] <> 1 Then
	ConsoleWrite("Syntax:Glass on|off" & @LF)
	Exit
EndIf

$CON = _Console_GetConsoleWindow()
Switch $CmdLine[1]
	Case "on"
		EnableBlurBehind($CON)
	Case "off"
		DisableBlurBehind($CON)
	Case Else
		ConsoleWrite("Syntax:Glass on|off" & @LF)
EndSwitch



Func _Console_GetConsoleWindow()
	Local $aResult = DllCall("kernel32.dll", "hwnd", "GetConsoleWindow")
	If @error Or (Not IsArray($aResult)) Then Return SetError(@error, @extended, 0)
	Return $aResult[0]
EndFunc   ;==>_Console_GetConsoleWindow

Func EnableBlurBehind($hWnd)
	Const $DWM_BB_ENABLE = 0x00000001
	$Struct = DllStructCreate("dword;int;ptr;int")
	DllStructSetData($Struct, 1, $DWM_BB_ENABLE)
	DllStructSetData($Struct, 2, "1")
	DllStructSetData($Struct, 4, "1")
	DllCall("dwmapi.dll", "int", "DwmEnableBlurBehindWindow", "hwnd", $hWnd, "ptr", DllStructGetPtr($Struct))
EndFunc   ;==>EnableBlurBehind

Func DisableBlurBehind($hWnd)
	Const $DWM_BB_ENABLE = 0x00000001
	$Struct = DllStructCreate("dword;int;ptr;int")
	DllStructSetData($Struct, 1, $DWM_BB_ENABLE)
	DllStructSetData($Struct, 2, "")
	DllStructSetData($Struct, 4, "")
	DllCall("dwmapi.dll", "int", "DwmEnableBlurBehindWindow", "hwnd", $hWnd, "ptr", DllStructGetPtr($Struct))
EndFunc   ;==>EnableBlurBehind
